<?php
/**
 * FiloBlu srl
 *
 * @category   FiloBlu
 * @package    FiloBlu_ReCaptcha
 * @copyright  FiloBlu srl (http://www.filoblu.com)
 *
 */

namespace FiloBlu\ReCaptcha\Block;

use Magento\Framework\View\Element\Template;
use FiloBlu\ReCaptcha\Helper\Data;

class ReCaptcha extends Template
{
    protected $dataHelper;

    public function __construct(
        Template\Context $context,
        Data $dataHelper,
        array $data = []
    ) {
        $this->dataHelper = $dataHelper;
        parent::__construct($context, $data);
    }

    /**
     * Get public reCaptcha key
     * @return string
     */
    public function getPublicKey()
    {
        return $this->dataHelper->getPublicKey();
    }

    /**
     * Return true if can display reCaptcha
     * @return bool
     */
    public function canDisplayCaptcha()
    {
        return $this->dataHelper->getEnabledFrontend();
    }

    /**
     * Return reCaptcha keys
     * @return array
     */
    public function getCaptchaConfig()
    {
        return [
            'siteKey' => $this->dataHelper->getPublicKey(),
            'enabled' => $this->dataHelper->getEnabledFrontend(),
        ];
    }
}
